package com.eactive.eai.custom.alarm.condition;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Builder
@Getter
@ToString
public class AlarmCondition {
	final long ocurredAt = System.currentTimeMillis();
	long lastOcurredAt; // 일단, 미사용
	@Builder.Default
	long count = 1;
	
	public void onOcurr() {
		this.lastOcurredAt = System.currentTimeMillis();
		this.count++;
	}
	
}
